%global debug_package %{nil}

Summary: A collection of GSettings schemas for settings shared by various components of a desktop
Name:    gsettings-desktop-schemas
Version: 45.0
Release: 1%{?dist}
License: LGPLv2+
URL:     https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas
Source0: https://download.gnome.org/sources/%{name}/45/%{name}-%{version}.tar.xz

BuildRequires: gettext meson gobject-introspection-devel
BuildRequires: glib2-devel >= 2.31.0

Requires: glib2 >= 2.31.0
 
%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.
 
%package  devel
Summary:  Development files for gsettings-desktop-schemas
Requires: gsettings-desktop-schemas = %{version}-%{release}
 
%description devel
Development libraries and header files for using gsettings-desktop-schemas.
 
%prep
%autosetup
 
%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
glib-compile-schemas --dry-run --strict %{buildroot}%{_datadir}/glib-2.0/schemas
 
%files -f %{name}.lang
%license COPYING
%doc AUTHORS MAINTAINERS NEWS README
%{_libdir}/girepository-1.0/GDesktopEnums-3.0.typelib
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/*.convert

%files devel
%doc HACKING
%{_includedir}/*
%{_datadir}/pkgconfig/*
%{_datadir}/gir-1.0/GDesktopEnums-3.0.gir

%changelog
* Thu Oct 17 2024 Xinlong Chen <xinlongchen@tencent.com> - 45.0-1
- upgrade to version 45.0 (for upgrading mutter & gnome-shell)

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 03 2022 Wang Zhe <bessiewang@tencent.com> - 42.0-1
- initial build
